{% extends 'base.html.twig' %}

{% block title %}Hello PeintureController!{% endblock %}

{% block body %}
    <section class="pt-7 pt-md-10">
        <div class="container">
            <div class="row">
                <div class="col-12">

                    <!-- Heading -->
                    <h3 class="mb-0">
                        Dernieres Peintures
                    </h3>

                    <!-- Text -->
                    <p class="mb-5 text-muted">
                        Here’s what’s big in the past week!
                    </p>

                </div>
            </div> <!-- / .row -->
            <div class="row">
                {% for peinture in peintures %}
                    <div class="col-12 col-md-6 d-flex">

                        <!-- Card -->
                        <div class="card mb-6 shadow-light-lg lift lift-lg">

                            <!-- Image -->
                            <a class="card-img-top" href="{{ path('realisations_details', {'slug':peinture.slug}) }}">

                                <!-- Image -->
                                <img src="build/img/{{ peinture.file }}" alt="..." class="card-img-top">

                                <!-- Shape -->
                                <div class="position-relative">
                                    <div class="shape shape-bottom shape-fluid-x text-white">
                                        <svg viewBox="0 0 2880 480" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <path fill-rule="evenodd" clip-rule="evenodd"
                                                  d="M2160 0C1440 240 720 240 720 240H0v240h2880V0h-720z"
                                                  fill="currentColor"/>
                                        </svg>
                                    </div>
                                </div>

                            </a>

                            <!-- Body -->
                            <a class="card-body" href="{{ path('realisations_details', {'slug':peinture.slug}) }}">

                                <!-- Heading -->
                                <h3>
                                    {{ peinture.name }}
                                </h3>

                                <!-- Text -->
                                <p class="mb-0 text-muted">
                                    {{ peinture.description | u.truncate(200,'...', false) }}
                                </p>

                            </a>

                            <!-- Meta -->
                            <a class="card-meta mt-auto"
                               href="{{ path('realisations_details', {'slug':peinture.slug}) }}">

                                <!-- Divider -->
                                <hr class="card-meta-divider">

                                <!-- Avatar -->
                                <div class="avatar avatar-sm me-2">
                                    <img src="assets/img/avatars/avatar-1.jpg" alt="..."
                                         class="avatar-img rounded-circle">
                                </div>

                                <!-- Author -->
                                <h6 class="text-uppercase text-muted me-2 mb-0">
                                    Ab Hadley
                                </h6>

                                <!-- Date -->
                                <p class="h6 text-uppercase text-muted mb-0 ms-auto">
                                    <time datetime="2019-05-02">Ajoutée le {{ peinture.createdAt|date('d/m/Y') }}</time>
                                </p>

                            </a>

                        </div>

                    </div>
                {% endfor %}
            </div>
        </div>
        <div class="d-flex justify-content-center">
            {% do peintures.setPageRange(2) %}
            {{ knp_pagination_render(peintures, 'base/pagination.html.twig') }}
        </div>
    </section>
{% endblock %}
